/*
 * ServiceException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * サービスのビジネスロジック内で発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ServiceException extends Exception {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -6297139567534067999L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ServiceException(Exception cause) {
		super((cause==null ? null : cause.getMessage()), cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ServiceException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ServiceException(String msg, Exception cause) {
		super(msg, cause);
	}
}
